net.sourceforge.pmd.lang

## Interface DataFlowHandler

All Known Implementing Classes:
  JavaDataFlowHandler

    public interface DataFlowHandler

### Field Summary

Fields
`static DataFlowHandler` `DUMMY`

### Method Summary

Methods
`DataFlowNode` `createDataFlowNode(List<DataFlowNode> dataFlow, Node node)`
`Class<? extends Node>` `getLabelStatementNodeClass()`

### Field Detail

#### DUMMY

    static final DataFlowHandler DUMMY

### Method Detail

#### createDataFlowNode

    DataFlowNode createDataFlowNode(List<DataFlowNode> dataFlow,
                                  Node node)

#### getLabelStatementNodeClass

    Class<? extends Node> getLabelStatementNodeClass()